-- http://allaboutfpga.com/vhdl-testbench-tutorial/
-- Copyright (c) 2020 Henrik Alfken <henke.uu.se@inbox.lv>
-- Lab 03pkg - Test bench for an up-down counter in a package
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use work.pkgCount.all;

entity upDwnCountr is port(
  clock   : in std_logic;
  reset   : in std_logic;
  up      : in std_logic;
  counter :out std_logic_vector(3 downto 0));
end upDwnCountr;

architecture rtl of upDwnCountr is
  signal intrnlCntr: std_logic_vector(3 downto 0);
begin
  process begin
    wait until clock='1';
      if (reset='1') then intrnlCntr <= "0000";
      else intrnlCntr <= fcnCount(up,intrnlCntr);
--      elsif up = '1' then intrnlCntr <= intrnlCntr + 1;
--      else intrnlCntr <= intrnlCntr - 1;
      end if;
  end process;
  counter <= intrnlCntr;
end rtl;
