-- http://allaboutfpga.com/vhdl-testbench-tutorial/
-- Copyright (c) 2020 Henrik Alfken <henke.uu.se@inbox.lv>
-- Lab 03pkg - Test bench for an up-down counter in a package
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

package pkgCount is
  function fcnCount(up:std_logic;countr:std_logic_vector(3 downto 0))
      return std_logic_vector;
end pkgCount;

package body pkgCount is
  function fcnCount(up:std_logic;countr:std_logic_vector(3 downto 0))
      return std_logic_vector is
--  variable iCountr:std_logic_vector(3 downto 0);
  begin
    if up = '1' then
      return countr + 1;
    else
      return countr - 1;
    end if;
--    return iCountr;
  end fcnCount;
end pkgCount;
